<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 17:17:30 CEST 2020 -->
<title>org.polarsys.chess.core.internal.preferences Class Hierarchy</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.polarsys.chess.core.internal.preferences Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/core/internal/extensionpoint/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/polarsys/chess/core/internal/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/core/internal/preferences/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.polarsys.chess.core.internal.preferences</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
<ul>
<li type="circle">org.polarsys.chess.core.internal.preferences.<a href="../../../../../../org/polarsys/chess/core/internal/preferences/ConstraintPreferenceInitializer.html" title="class in org.polarsys.chess.core.internal.preferences"><span class="typeNameLink">ConstraintPreferenceInitializer</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.jface.dialogs.DialogPage (implements org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider)
<ul>
<li type="circle">org.eclipse.jface.preference.PreferencePage (implements org.eclipse.jface.preference.IPreferencePage)
<ul>
<li type="circle">org.polarsys.chess.core.internal.preferences.<a href="../../../../../../org/polarsys/chess/core/internal/preferences/CHESSMainPage.html" title="class in org.polarsys.chess.core.internal.preferences"><span class="typeNameLink">CHESSMainPage</span></a> (implements org.eclipse.ui.IWorkbenchPreferencePage)</li>
<li type="circle">org.eclipse.jface.preference.FieldEditorPreferencePage (implements org.eclipse.jface.util.IPropertyChangeListener)
<ul>
<li type="circle">org.polarsys.chess.core.internal.preferences.<a href="../../../../../../org/polarsys/chess/core/internal/preferences/ConstraintPreferencePage.html" title="class in org.polarsys.chess.core.internal.preferences"><span class="typeNameLink">ConstraintPreferencePage</span></a> (implements org.eclipse.ui.IWorkbenchPreferencePage)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.jface.preference.FieldEditor
<ul>
<li type="circle">org.polarsys.chess.core.internal.preferences.<a href="../../../../../../org/polarsys/chess/core/internal/preferences/LabelField.html" title="class in org.polarsys.chess.core.internal.preferences"><span class="typeNameLink">LabelField</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/polarsys/chess/core/internal/extensionpoint/package-tree.html">Prev</a></li>
<li><a href="../../../../../../org/polarsys/chess/core/internal/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/polarsys/chess/core/internal/preferences/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
